GIFTI_TEST(1)

NAME
gifti_test - test reading/writing a GIFTI dataset

SYNOPSIS
gifti_test [...]

OPTIONS

-help
    Show usage help.

-gifti_hist
    Show giftilib history.

-gifti_ver
    Show giftilib version.

-encoding TYPE
    Set the data encoding for any output file.

    TYPE = ASCII : ASCII encoding

    TYPE = BASE64 : base64 binary

    TYPE = BASE64GZIP : base64 compressed binary

-gfile OUTPUT
    Write out dataset as gifti image.

-infile INPUT
    Specify INPUT as the GIFTI dataset to read.

-no_data
    Do not write out data.

-show
    Show final gifti image.

-slist LEN s0...
    Restrict output to list of length LEN.

-verb VERB
    Set verbose level.

EXAMPLES

1. read in a GIFTI dataset (verbose, show output?)

    gifti_test -infile dset.gii

    gifti_test -infile dset.gii -verb 3

    gifti_test -infile dset.gii -show

2. copy a GIFTI dataset (check differences?)

    gifti_test -infile dset.gii -gfile copy.gii

    diff dset.gii copy.gii

3. copy a GIFTI data, but write out only 3 surf indices: 0,4,5

    gifti_test -infile time_series.gii -gfile ts3.gii -slist 3 0 4 5

SEE ALSO
Website: http://www.nitrc.org/projects/gifti

AUTHOR
Richard Reynolds - SSCC, DIRP, NIMH, National Institutes of Health

This manual page was written by Michael Hanke <michael.hanke@gmail.com>, for the Debian project (but may be used by others).